How to create a block from points and curves in order to move them together?

Hi, i would like to know if there is any command from RhinoPython which I can use for joining different objects (points, curves, …) in order to move them together.
Thanksss!!

Terminology in Rhino:

Block: Drawing a multiply-used object or objects once as a “Block Definition” so it can be inserted in many places as a “Block Instance”.

Join: making a new object by actually connecting two or more objects together, as in joining one end of a line to the end of another line or one edge of a surface to an edge of another surface, etc.

Group: What I believe you want. Treat a “Group” of objects as one for the application of various Rhino operations. You can group and ungroup objects at will to suit your purposes.

I’m not a Python or RhinoCommon expert so I can’t say for sure whether grouping methods are available but it would surprise me if they aren’t.

something like this?


import rhinoscriptsyntax as rs

objects = rs.GetObjects("Select Objects to Group")

rs.AddGroup("someGroup")

addtogroup = rs.AddObjectsToGroup(objects, "someGroup")

toMove = rs.ObjectsByGroup("someGroup")

rs.MoveObjects(toMove, (0,0,100))

Yes! That works. Thank you all !!